#import "typstjep_20241108.typ": *
#show: Document => doctemplate(
  "日下部幽考",
  "The Japanese Educational Preambles for Typst Examples",
  box(
    scale(
      x: 30%,
      y: 40%,
      origin: left + horizon,
      reflow: true,
      ""
    )
  ),
  vsmash
  + Document
)
#set par(first-line-indent: 0em)
#vspace


= The Japanese Educational Preambles for Typst Examples

- 高校数学教材向け Typst テンプレート（私家版）。
- Typst 0.12.0，2024-11-08，日下部幽考 (Yukoh Kusakabe)。
- この資料はコードと出力の見本である。汎用性が低いものは実装していてもこのPDFに載せていない。コードを見て試していただくことは差しつかえない。
- confer https://www.metaphysica.info/tools/typst-template/ 。


== 用紙

A4出力だが，B5に縮小印刷しても綴じる余白が残るようになっている。


== 段落

#h(1em)段落の１文字目は１字下げている。（この文書では設定していない。）


== 引用文

`#blockquote[
  引用文
]`

#blockquote[
  引用文
]


== 破線囲み

`#blockthink[
	点線囲み段落
]`

#blockthink[
	点線囲み段落
]

`#boxthink[点線囲み文]`

#boxthink[点線囲み文]


== 横幅調整

`#boxscalex(70%,"縮めた文字")`

#boxscalex(70%,"縮めた文字")


== 強調

`_あ_ *あ*`

_あ_ *あ*


== 出典

`#boxs``ource(
  "著者，タイトル。出版社，ページ，出版年。"
)`
#boxsource(
  "著者，タイトル。出版社，ページ，出版年。"
)

`#boxfigs``ource(
  "著者，タイトル。出版社，ページ，出版年。"
)`
#boxfigsource(
  "著者，タイトル。出版社，ページ，出版年。"
)


== 定理見出し

- 空行が入る。

`#hdgdefinition#hdgtitle("定義名")`

#hdgdefinition#hdgtitle("定義名")

`#hdgdefinition#extrahdg#hdgtitle("定義名")`

#hdgdefinition#extrahdg#hdgtitle("定義名")

`#hdgdefinition#advancedhdg#hdgtitle("定義名")`

#hdgdefinition#advancedhdg#hdgtitle("定義名")

`- A
- #extralist;B
- #advancedlist;C`

- A
- #extralist;B
- #advancedlist;C

`#extra#advanced`
#v(-0.125em)

#extra#advanced


== 定理見出し名前リスト


#vsmash
=== 二重山括弧《》空行１行あり

- 定義：　`#hdgdefinition`
- 定理：　`#hdgtheorem`
- 例題：　`#hdgexample`
- 演習：　`#hdgexercise`
- 講義：　`#hdglecture`
- 談義：　`#hdgtalk`


=== 二重山括弧〈〉空行半行あり

- 例示：　`#hdgexempligratia`
- 証明：　`#hdgproof`
- 解決：　`#hdgsolution`
- 分析：　`#hdganalysis`
- 吟味：　`#hdgexamination`
- 補足：　`#hdgnote`
- 付言：　`#hdgaddition`
- 原題：　`#hdgoriginal`


=== 角括弧［］空行なし１字寄せ

- 別解：　`#hdganothersolution`
- 別証：　`#hdganotherproof`
- 概略：　`#hdgsummary`
- 計算用紙：　`#hdgdraftsheet`
- 答案用紙：　`#hdganswersheet`

#vspace
// == 見出し
= 見出し１
#vsmash
== 見出し２
#vsmash
=== 見出し３


== 空行調整

`#let vspace =  v(2em)
#let vhalfspace = v(1em)
#let vsmash =  v(-2em)
#let vhalfsmash = v(-1em)`


== 式番号あり数式

`#eqno[$
a
$]`
#eqno[$
a
$]


== 式番号のリセット

`#eqno[$
a
$]
#eqnoreset
#eqno[$
a
$]`
#eqno[$
a
$]
#eqnoreset
#eqno[$
a
$]


== インライン式番号（手動）

`$a$ #inlinenumbering[①]`

$a$ #inlinenumbering[①]


== ローマン体・黒板太字

`$AA AAA$`

$AA AAA$


== 括弧書き

`$
  nomination("左辺")=a explan(because "説明" x+y=z)
$`

$
  nomination("左辺")=a explan(because "説明" x+y=z)
$


== カンマ余白・句点余白

`$
&1, 2, 3                  && 1 "。" 2 "。" 3       && 1 "あ" 2 "あ" 3\
&1comma 2comma 3          && 1period 2 period 3wide&& 1period 2 period 3\
&1commavar 2commavar 3wide&& 1 periodvar 2 periodvar 3
$`

$
  &1, 2, 3                  && 1 "。" 2 "。" 3       && 1 "あ" 2 "あ" 3\
  &1comma 2comma 3          && 1period 2 period 3wide&& 1period 2 period 3\
  &1commavar 2commavar 3wide&& 1 periodvar 2 periodvar 3
$


== インラインディスプレイ表記

`$lim_(x->oo) integral_0^x 1/2 thick d x$`

$lim_(x->oo) integral_0^x 1/2 thick d x$


== 式修飾

`#marka("最初の件")と#markb("次の件")で
$
  marka(a+b)+c+markb(d+e)=marka(1)+2+markb(3)
$
が成りたつ。`

#marka("最初の件")と#markb("次の件")で
$
  marka(a+b)+c+markb(d+e)=marka(1)+2+markb(3)
$
が成りたつ。


#pagebreak()#vsmash
== 数式記号

- `overarc`はhttps://github.com/typst/typst/issues/2404による。

`$
a_1+a_2+a_3+cdots+a_n\
(A tand B) tor C\
GCD(a,b) + LCM(a,b)\
pair(a,b), triplet(a,b,c), quadruplet(a,b,c,d)\
overarc(upright(A B))\
l parallel m parallelnot n\
triangle upright(A B C) similar triangle upright(D E F)\
permutation(n,r) + combination(n,r)
  + repeatedpermunation(n,r) + repeatedcombination(n,r)\
expected(A)\
avec(a)+avec(b)\
conjugate(a)+conjugate(b)\
complement(A)+complement(B)\
$`

$
a_1+a_2+a_3+cdots+a_n\
(A tand B) tor C\
GCD(a,b) + LCM(a,b)\
pair(a,b), triplet(a,b,c), quadruplet(a,b,c,d)\
overarc(upright(A B))\
l parallel m parallelnot n\
triangle upright(A B C) similar triangle upright(D E F)\
permutation(n,r) + combination(n,r) + repeatedpermunation(n,r) + repeatedcombination(n,r)\
expected(A)\
avec(a)+avec(b)\
conjugate(a)+conjugate(b)\
complement(A)+complement(B)\
$


== Shorthands

- accessed：　`acce``ssed`
- thinkto：　`thi``nkto`
- confer：　`con``fer`
- source figsource：　：　`sou``rce` `fi``gso``urce`
- review：　`revi``ew`
- famous：　`famo``us`
- colloquial：　`col``loquial`
- omitted：　`omitt``ed`
- QED：　`QE``D`
- $+- -+$：　`$+- -+$`
- $<= >=$：　`$<= >=$`
- $Re z + Im z$：　`$Re z + Im z$`


#pagebreak()#vsmash
== 参考


#vsmash
=== フォント

フォントは游明朝・游ゴシック・New Computer Modern Mathが指定されている。これらがないようであれば，適宜置きかえてもらいたい。`Yu Mincho`，`Yu Gothic`，`New Computer Modern Math`を置換するのが早い。


=== 目盛りを表示

（行によらない）目盛りを表示したければ、ファイル内450行目付近の\
`/*
footer:
...
*/`\
における\
`/*`\
と\
`*/`\
を削除する。
この機能は目立つうえに使わないほうが通常と思われるため、私は日常使っているが取り除いておいた。


=== 表は実際に書いてしまうのが楽
`#table(
  columns: 4,
  align: center,
  stroke: none,  
  $x$, $1$, $...$, $2$,
  $f(x)$, $0$, [⤴↗], $2$
)`

#table(
  columns: 4,
  align: center,
  stroke: none,  
  $x$, $1$, $...$, $2$,
  $f(x)$, $0$, [⤴↗], $2$
)
